package duggelz.jape;

import java.awt.AWTEvent;

public class DataChangeEvent extends AWTEvent
{

    public DataChangeEvent(Object source, Object oldValue, Object newValue)
    {
        super(source, 2000);
        this.oldValue = oldValue;
        this.newValue = newValue;
    }

    public String getNewValue()
    {
        return (String)newValue;
    }

    public String getOldValue()
    {
        return (String)oldValue;
    }

    private Object oldValue;
    private Object newValue;
}
