package duggelz.jape;

import java.awt.Button;

// Referenced classes of package duggelz.jape:
//            Item, ItemExemplar, Mercenary

public class ItemView extends Button
{

    public ItemView(int index)
    {
        super("           None             ");
        this.index = index;
    }

    public int getIndex()
    {
        return index;
    }

    public void refresh()
    {
        String name;
        if(item != null)
        {
            ItemExemplar exemplar = item.getExemplar();
            if(exemplar != null)
            {
                name = item.getExemplar().name;
                if(name.length() > 16)
                    name = name.substring(0, 16);
            } else
            {
                name = "          Unknown           ";
            }
        } else
        {
            name = "           None             ";
        }
        setLabel(name);
    }

    public void setActor(Mercenary merc)
    {
        if(merc != null)
            item = merc.items[index];
        else
            item = null;
        refresh();
    }

    public static final int MAX_LENGTH = 16;
    public static final String none = "           None             ";
    public static final String unknown = "          Unknown           ";
    public int index;
    public Item item;
}
